列出智能体产物

按文件类别、来源和生成时间筛选当前可访问的智能体产物。

GET https://api.moi.matrixorigin.cn/v5/workspaces/{workspace_id}/agent-artifacts

调用前准备

BASE_URL 使用产品 API 前缀 https://api.moi.matrixorigin.cn/v5;专有部署填写对应的产品 API 地址。

准备身份、卷权限和版本引用。

请求

curl --request GET \
  "$BASE_URL/workspaces/$WORKSPACE_ID/agent-artifacts?page=1&page_size=10&file_category=document&file_category=spreadsheet" \
  --header "X-API-Key: $MOI_KEY" \
  --header "X-Workspace-ID: $WORKSPACE_ID"

下一页示例:

curl --request GET \
  "$BASE_URL/workspaces/$WORKSPACE_ID/agent-artifacts?page=2&page_size=10&file_category=document&file_category=spreadsheet" \
  --header "X-API-Key: $MOI_KEY" \
  --header "X-Workspace-ID: $WORKSPACE_ID"

参数

位置

类型

必填

说明

workspace_id

路径

string

是

当前环境工作区ID。

page

查询

integer

否

页码,从1开始,默认1;显式0或负数拒绝。

page_size

查询

integer

否

每页数量,默认10,允许1~100。

keyword

查询

string

否

文件名或产物ID的搜索文本。

status

查询

string

否

默认completed;可选processing/completed/failed/deleted/expired。

agent_workspace_id

查询

string

否

智能体定义工作区ID。

agent_id

查询

string

否

智能体ID。

conversation_id

查询

string

否

来源会话ID;额外限制为当前用户拥有的来源会话/任务。

created_by

查询

string

否

文件创建者ID。

file_category

查询

string,可重复

否

image/document/spreadsheet/audio/video/archive/other;多个值重复传参。

generated_from

查询

string

否

RFC3339生成时间下界,包含。

generated_to

查询

string

否

RFC3339生成时间上界,不包含;须晚于下界。

仅列出当前卷范围、当前挂载及有效来源下的行;指定deleted不保证找回已解除挂载的记录。普通翻页在page × page_size达到total或本页为空时停止。snapshot_at每次请求重新生成,当前接口没有跨页固定它的输入;并发修改可改变偏移分页。

成功响应

{
  "code": 0,
  "data": {
    "items": [
      {
        "workspace_id": "workspace-example",
        "artifact_id": "artifact-example",
        "version": 1,
        "artifact_kind": "file",
        "status": "completed",
        "file_id": "file-example",
        "placement_id": 23,
        "volume_id": 10,
        "file_path": "reports/summary.txt",
        "file_name": "summary.txt",
        "content_type": "text/plain",
        "file_category": "document",
        "size": 128,
        "md5": "0123456789abcdef0123456789abcdef",
        "agent_workspace_id": "workspace-example",
        "agent_id": "agent-example",
        "agent_name": "资料助手",
        "conversation_id": "conversation-example",
        "conversation_title": "资料整理",
        "task_id": "task-example",
        "call_id": "call-example",
        "tool_id": "tool-example",
        "created_by": "user-example",
        "creator_name": "示例用户",
        "source_event_id": "event-example",
        "source_event_seq": 3,
        "generated_at": "2026-11-12T01:00:00Z",
        "created_at": "2026-11-12T01:00:00Z",
        "updated_at": "2026-11-12T01:00:00Z"
      }
    ],
    "agent_sources": [
      {
        "agent_workspace_id": "workspace-example",
        "agent_id": "agent-example"
      }
    ],
    "creator_sources": [
      {
        "created_by": "user-example",
        "creator_name": "示例用户"
      }
    ],
    "total": 1,
    "page": 1,
    "page_size": 10,
    "snapshot_at": "2026-11-12T01:00:00Z"
  }
}

字段

类型

说明

code

integer

成功为0;批量动作仍需检查逐项结果。

data

object

对应返回对象。

错误响应

错误与结果确认区分整体失败、逐项失败与来源不可见。

最后更新于